SDL_WindowsMessageHook(3type)

NAME
SDL_WindowsMessageHook - A callback to be used with SDL_SetWindowsMessageHook.

SYNOPSIS
#include <SDL3/SDL_system.h>

typedef bool (SDLCALL *SDL_WindowsMessageHook)(void *userdata, MSG *msg);

DESCRIPTION
This callback may modify the message, and should return true if the message should continue to be processed, or false to prevent further processing.

As this is processing a message directly from the Windows event loop, this callback should do the minimum required work and return quickly.

FUNCTION PARAMETERS

userdata
    the app-defined pointer provided to SDL_SetWindowsMessageHook.

msg a pointer to a Win32 event structure to process.

RETURN VALUE
Returns true to let event continue on, false to drop it.

THREAD SAFETY
This may only be called (by SDL) from the thread handling the Windows event loop.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_SetWindowsMessageHook(3), SDL_HINT_WINDOWS_ENABLE_MESSAGELOOP(3)